Download the input file

Prev Next
Get
/v1/EntityImport/{uploadId}/file

Returns a downloadable copy of the input file.

Security
API Key: Authorization
Header parameter nameAuthorization

Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.

<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.

For details, read Request an access token.

Header parameters
X-Forwarded-Host
string

OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.

Path parameters
uploadId
stringRequired

Upload identifier returned in a successful 201 response from the POST Upload a file into storage request.

Responses
200

CSV file returned.

401

Authentication error.

404

Input file not found.